
#nav a:hover {
    background: var(--anzhiyu-main);
    transition: 0.3s;
  }
  
  #nav-totop:hover .totopbtn i {
    opacity: 1;
  }
  #nav-totop #percent {
    font-size: 12px;
    background: var(--anzhiyu-white);
    color: var(--anzhiyu-main);
    width: 25px;
    height: 25px;
    border-radius: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s;
  }
  .nav-fixed #nav-totop #percent,
  .page #nav-totop #percent {
    background: var(--font-color);
    color: var(--card-bg);
    font-size: 13px;
  }
  
  #nav-totop {
    width: 35px;
  }
  #page-header:not(.is-top-bar) #percent {
    transition: 0.3s;
  }
  #page-header:not(.is-top-bar) #nav-totop {
    width: 0;
    opacity: 0;
    transition: width 0.3s, opacity 0.2s;
    margin-left: 0 !important;
    
  }
  #nav-totop #percent {
    font-weight: 700;
  }
  #nav-totop:hover #percent {
    opacity: 0;
    transform: scale(1.5);
    font-weight: 700;
  }
  #page-header #nav #nav-right div {
    margin-left: 0.5rem;
    padding: 0;
  }
  
  #nav-totop {
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.3s;
    
  }
  .nav-button {
    cursor: pointer;
  }
  div#menus {
    display: flex;
    align-items: center;
    
  }
  #page-header #nav .nav-button a {
    height: 35px;
    width: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    
  }
  
  #nav .site-page {
    padding-bottom: 0px;
    
  }
  #nav *::after {
    background-color: transparent !important;
    
  }
  
  /* 顶栏修改 */
  #nav .menus_items .menus_item .menus_item_child li a {
    padding: 2px 16px;
  }
  #nav .menus_items .menus_item .menus_item_child li:hover a {
    color: white !important;
    
  }
  
  #nav .menus_items .menus_item .menus_item_child li {
    margin: 6px;
    border-radius: 5px;
    transition: all 0.3s;
    display: inline-block;
    margin: 0 3px;
    
  }
  #nav .menus_items .menus_item .menus_item_child:before {
    top: -19px;
    
  }
  #site-name,
  .shuoshuo {
    white-space: nowrap;
    overflow: hidden;
    
  }
  #site-name {
    padding: 0 8px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.3s;
    
  }
  
  #blog_name #site-name i {
    opacity: 0;
    position: absolute;
    
  }
  
  #blog_name #site-name:hover .title {
    opacity: 0;
    border-radius: 5px;
  }
  
  #blog_name #site-name:hover i {
    opacity: 1;
    transform: scale(1.01);
    color: white;
  }
  /* 圆角隐藏 */
  ul.menus_item_child {
    border-radius: 5px;
  }
  
  /* 一级菜单居中 */
  #nav .menus_items {
    position: absolute;
    width: fit-content;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 60px;
  }
  
  #nav .menus_items .menus_item:hover .menus_item_child {
    display: block;
    transform: translateX(-50%);
    right: auto;
    left: auto !important;
    padding: 6px 4px;
    box-sizing: content-box;
    line-height: 35px;

  }
  #nav .menus_items .menus_item:hover {
    padding: 0 5px 27px 5px !important;
    margin-bottom: -14.5px !important;
    
  }
  
  #nav .menus_items .menus_item .menus_item_child {
    top: 44px;
  }
  
  @media screen and (min-width: 768px) {
    .page .menus_item:hover > a.site-page {
      color: var(--anzhiyu-white) !important;
      background: var(--anzhiyu-main);
      transition: 0.3s;
      box-shadow: var(--anzhiyu-shadow-main);
      
    }
  }
  
  .nav-fixed #nav {
    transform: translateY(58px) !important;
  }
  #nav {
    padding: 0 calc((100% - 1420px) / 2);
    backdrop-filter: saturate(180%) blur(20px);
  }
  
  #nav a {
    border-radius: 8px;
    color: var(--font-color);
  }
  .page #nav a:hover {
    color: var(--anzhiyu-white) !important;
    background: var(--anzhiyu-main);
    transition: 0.3s;
    box-shadow: var(--anzhiyu-shadow-main);
  }
  
  #menus > div.menus_items > div > a {
    letter-spacing: 0.3rem;
    font-weight: 700;
    padding: 0em 0.3em 0em 0.5em;
    height: 35px;
    line-height: 35px;
  }
  #nav .menus_items .menus_item {
    padding: 0 5px;
    display: flex;
    flex-direction: column;
    margin: auto;
    align-items: center;
  }
  
  #nav div#toggle-menu {
    padding: 2px 0 4px 6px;
  }
  
  #nav-totop .totopbtn i {
    position: absolute;
    display: flex;
    opacity: 0;
  }
  #page-name::before {
    font-size: 18px;
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 8px;
    color: white !important;
    top: 0;
    left: 0;
    content: "回到顶部";
    background-color: var(--anzhiyu-theme);
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -o-transition: all 0.3s;
    opacity: 0;
    box-shadow: 0 0 3px var(--anzhiyu-theme);
    line-height: 45px; /*如果垂直位置不居中可以微调此值，也可以删了*/
  }
  #page-name:hover:before {
    opacity: 1;
  }
  #name-container {
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -o-transition: all 0.3s;
  }
  #name-container:hover {
    transform: translateX(-50%) scale(1.03);
  }
  #page-name {
    position: relative;
    padding: 10px 30px;
  }
  
  center#name-container {
    position: absolute;
    width: 100%;
    left: 50%;
    transform: translateX(-50%);
    font-family: "ZhuZiAYuanJWD";
  }
  .nav-fixed.nav-visible #name-container {
    transition: 0.3s;
    transform: translate(-50%, 60px);
  }
  .nav-fixed.nav-visible #menus .menus_items {
    transform: translate(-50%);
    transition: 0.3s;
    line-height: 60px;
  }
  .nav-fixed #menus .menus_items {
    transform: translate(-50%, -60px);
    transition: 0.3s;
  }
  .nav-fixed #name-container {
    top: 15%;
    transition: 0.3s;
  }
  #name-container {
    bottom: 60px;
  }
  
  .mask-name-container {
    max-width: 1200px;
    width: 50%;
    height: 100%;
    position: absolute;
    overflow: hidden;
    left: 50%;
    transform: translateX(-50%);
  }
  
  @media screen and (max-width: 992px) {
    .mask-name-container {
      width: 65%;
    }
  }
  
  @media screen and (max-width: 768px) {
    .mask-name-container {
      display: none;
    }
  }
  #sidebar #sidebar-menus .menus_items .site-page:hover {
    color: var(--anzhiyu-white);
    border-radius: var(--anzhiyu-border-radius);
  }
  #nav .menus_items .menus_item > a > i:last-child {
    display: none;
  }
  #nav #search-button {
    font-size: 1.3em;
  }
  
  @media screen and (min-width: 900px) {
    #nav .back-home-button:hover {
      box-shadow: var(--anzhiyu-shadow-main);
    }
  }
  
  .back-home-button:hover {
    background: var(--anzhiyu-main);
    color: var(--anzhiyu-white) !important;
  }
  .back-home-button {
    display: flex;
    width: 35px;
    height: 35px;
    padding: 0 !important;
    align-items: center;
    justify-content: center;
    margin-right: 4px;
    transition: 0.3s;
    border-radius: 8px;
  }
  
  .back-home-button:hover .back-menu-list-groups {
    display: flex;
    opacity: 1;
    transition: 0.3s;
    top: 55px;
    pointer-events: auto;
    left: 0;
  }
  .back-home-button .back-menu-list-groups {
    position: absolute;
    top: 65px;
    left: 0;
    background: var(--anzhiyu-card-bg);
    border-radius: 12px;
    border: var(--style-border);
    flex-direction: column;
    font-size: 12px;
    color: var(--anzhiyu-secondtext);
    box-shadow: var(--anzhiyu-shadow-border);
    transition: 0s;
    opacity: 0;
    pointer-events: none;
  }
  
  .back-home-button .back-menu-list-group {
    display: flex;
    flex-direction: column;
  }
  .back-home-button .back-menu-list-group .back-menu-list-title {
    margin: 8px 0 0 16px;
    transition: 0.3s;
  }
  .back-home-button .back-menu-list {
    display: flex;
    flex-direction: column;
  }
  .back-home-button .back-menu-list::before {
    position: absolute;
    top: -22px;
    left: 0px;
    width: 100%;
    height: 25px;
    content: "";
  }
  
  .back-home-button .back-menu-list-group:hover .back-menu-list-title {
    color: var(--anzhiyu-main);
  }
  .back-home-button .back-menu-list-groups:hover {
    border: var(--style-border-hover);
  }
  .back-home-button .back-menu-list .back-menu-item {
    display: flex;
    align-items: center;
    margin: 4px 8px;
    padding: 4px 8px !important;
    transition: 0.3s;
    border-radius: 8px;
  }
  .back-home-button .back-menu-list .back-menu-item .back-menu-item-text {
    font-size: var(--global-font-size);
    margin-left: 0.5rem;
    color: var(--anzhiyu-fontcolor);
    white-space: nowrap;
  }
  #nav #blog_name {
    flex-wrap: nowrap;
    height: 60px;
    display: flex;
    align-items: center;
    /* z-index: 102; */
    transition: 0.3s;
  }
  .back-home-button .back-menu-list .back-menu-item .back-menu-item-icon {
    width: 24px;
    height: 24px;
    border-radius: 24px;
    background: var(--anzhiyu-secondbg);
  }
  #page-header #nav .back-home-button {
    cursor: pointer;
    position: relative;
  }
  
  @media screen and (min-width: 1300px) {
    #nav a:hover {
      transform: scale(1.03);
    }
  }
  .back-home-button .back-menu-list .back-menu-item:hover .back-menu-item-text {
    color: var(--anzhiyu-white);
  }
  .back-menu-item-icon.loading img {
    width: 25px;
  }
  
  #page-header #nav #menus .nav-button.long a.totopbtn,
  #page-header #nav #menus .nav-button.long,
  #page-header #nav #menus .nav-button.long a.totopbtn span {
    width: 70px;
  }
  #page-header #nav #menus .nav-button.long a.totopbtn span {
    border-radius: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s;
    white-space: nowrap;
  }
  
  #page-header #nav #menus .nav-button.long a.totopbtn:hover {
    border-radius: 35px;
    height: 30px;
  }
  
  #nav #search-button {
    padding-left: 0;
  }
  #page-header #nav .nav-button {
    margin-left: 0.5rem;
    padding: 0;
  }
  #page-header:not(.is-top-bar) #nav-totop a {
    display: none;
  }
  #search-button a.site-page.social-icon.search span {
    display: none;
  }